/*
============================================================================
 Name        : LogExport.pan
 Author      : Yohanes Nugroho
 Copyright   : Yohanes Nugroho
 Description : This file contains panic codes.
============================================================================
*/

#ifndef __LOGEXPORT_PAN__
#define __LOGEXPORT_PAN__

/** LogExport application panic codes */
enum TLogExportPanics
    {
    ELogExportUi = 1
    // add further panics here
    };

inline void Panic(TLogExportPanics aReason)
    {
    _LIT(applicationName,"LogExport");
    User::Panic(applicationName, aReason);
    }

#endif // __LOGEXPORT_PAN__
